Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Update Start Script

Updates the name or content of a startup script. Works for both Instances and Virtual Machines.

PUT/notebooks/init-script/{Start_Script_Id}/

Path parameters

  • Start_Script_IdPathintegerrequired

    Start Script Id

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

Request body

application/json

object
namestring

The updated name of the start script

init_scriptstring

The updated start script content

Responses

No documented responses.